الباركود
GET https://qrcodemonkey.net/api/barcodes/
curl --request GET \
--url 'https://qrcodemonkey.net/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/barcodes/' \
--header 'Authorization: Bearer {api_key}' \
| المعاملات | التفاصيل | الوصف |
|---|---|---|
| search | اختياري نص | نص البحث. |
| search_by | اختياري نص | الحقل المستخدم للبحث. القيم المسموح بها: name , value. |
| type | اختياري نص | القيم المسموح بها: C32 , C39 , C39+ , C39E , C39E+ , C93 , S25 , S25+ , I25 , I25+ , ITF14 , C128 , C128A , C128B , C128C , EAN2 , EAN5 , EAN8 , EAN13 , UPCA , UPCE , MSI , MSI+ , POSTNET , PLANET , TELEPENALPHA , TELEPENNUMERIC , RMS4CC , KIX , IMB , CODABAR , CODE11 , PHARMA , PHARMA2T |
| order_by | اختياري نص | الحقل المستخدم للترتيب. القيم المسموح بها: barcode_id , datetime , last_datetime , name , type. |
| order_type | اختياري نص | نوع الترتيب. القيم المسموح بها: ASC تصاعدي، وDESC تنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة المطلوبة. الافتراضي 1. |
| results_per_page | اختياري عدد صحيح | عدد النتائج في الصفحة. القيم المسموح بها: 10 , 25 , 50 , 100 , 250 , 500 , 1000. الافتراضي 25. |
{
"data": [
{
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcodemonkey.net/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-03-27 23:55:25",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcodemonkey.net/api/barcodes?page=1",
"last": "https://qrcodemonkey.net/api/barcodes?page=1",
"next": null,
"prev": null,
"self": "https://qrcodemonkey.net/api/barcodes?page=1"
}
}
GET https://qrcodemonkey.net/api/barcodes/{barcode_id}
curl --request GET \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "C32",
"name": "Example name",
"value": "123456",
"barcode": "https://qrcodemonkey.net/uploads/barcode/example.svg",
"settings": {
"foreground_color": "#000000",
"width_scale": 2,
"height": 50,
},
"embedded_data": "123456",
"last_datetime": null,
"datetime": "2026-03-27 23:55:25",
}
}
POST https://qrcodemonkey.net/api/barcodes
| المعاملات | التفاصيل | الوصف |
|---|---|---|
| project_id | اختياري عدد صحيح | - |
| name | مطلوب نص | - |
| type | مطلوب نص | القيم المسموح بها: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| is_bulk | اختياري منطقي | |
| value | مطلوب نص | - |
| display_text | اختياري منطقي | - |
| foreground_color | اختياري نص | - |
| background_color | اختياري نص | - |
| width_scale | اختياري عدد صحيح | 1-10 |
| height | اختياري عدد صحيح | 30-1000 |
| المعاملات | التفاصيل | الوصف |
|---|---|---|
curl --request POST \
--url 'https://qrcodemonkey.net/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://qrcodemonkey.net/api/barcodes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://qrcodemonkey.net/api/barcodes/{barcode_id}
| المعاملات | التفاصيل | الوصف |
|---|---|---|
| project_id | اختياري نص | - |
| name | اختياري نص | - |
| type | اختياري نص | القيم المسموح بها: C32, C39, C39+, C39E, C39E+, C93, S25, S25+, I25, I25+, ITF14, C128, C128A, C128B, C128C, EAN2, EAN5, EAN8, EAN13, UPCA, UPCE, MSI, MSI+, POSTNET, PLANET, TELEPENALPHA, TELEPENNUMERIC, RMS4CC, KIX, IMB, CODABAR, CODE11, PHARMA, PHARMA2T |
| value | مطلوب نص | - |
| display_text | اختياري منطقي | - |
| foreground_color | اختياري نص | - |
| background_color | اختياري نص | - |
| width_scale | اختياري عدد صحيح | 1-10 |
| height | اختياري عدد صحيح | 30-1000 |
curl --request POST \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://qrcodemonkey.net/api/barcodes/{barcode_id}
curl --request DELETE \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcodemonkey.net/api/barcodes/{barcode_id}' \
--header 'Authorization: Bearer {api_key}' \